Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 323539 - JS warning opening MailNews / selecting folders
: JS warning opening MailNews / selecting folders
: fixed-seamonkey1.0, fixed-seamonkey1.1a, fixed1.8.0.1, fixed1.8.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Stefan [:stefanh]
Depends on: 241212
Blocks: 323357
  Show dependency treegraph
Reported: 2006-01-15 10:40 PST by Stefan [:stefanh]
Modified: 2006-08-20 09:39 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

1.8.0 patch (1.32 KB, patch)
2006-01-15 12:26 PST, Stefan [:stefanh]
neil: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2006-01-15 10:40:21 PST
Opening MailNews produces a  warning in the JS console, same warning occurs everytime you select a folder in the folder pane:

"Warning: reference to undefined property nsMsgViewType.eSearch
Source File: chrome://messenger/content/commandglue.js
Line: 684"

This does not happen on trunk builds.

Karsten/Neil, iirc you know about this (and the cause)? Dupe away if this is already filed ;)
Comment 1 2006-01-15 10:46:10 PST
I forgot the review comment to bug 241212 when checking into the branches :-[
Comment 2 Stefan [:stefanh] 2006-01-15 12:26:03 PST
Created attachment 208580 [details] [diff] [review]
1.8.0 patch

OK, this should fix the warning (eSearch --> eShowSearch).
Comment 3 2006-01-15 14:03:27 PST
Comment on attachment 208580 [details] [diff] [review]
1.8.0 patch

Although seeing as I did get it right on the trunk I should be able to check this in on the branches with the original r/sr/as.
Comment 4 Ian Neal 2006-01-15 15:56:49 PST
Don't forget this can go on the 1.8 branch as well Stefan.
Comment 5 Stefan [:stefanh] 2006-01-16 01:27:36 PST
(In reply to comment #4)
> Don't forget this can go on the 1.8 branch as well Stefan.

I think Neil ment that the patch already has approval on both branches, since the original patch was approved.
Comment 6 2006-01-20 13:50:54 PST
Fix checked in on both branches. Do we need flags for this?
Comment 7 Andrew Schultz 2006-01-20 13:55:08 PST
adding chunks of flaggy goodness

Note You need to log in before you can comment on or make changes to this bug.